//=========================================================================//
// leh_ledhandler.c                                                    1)  //
//=========================================================================//
/*! \file
\brief \copybrief leh_ledhandler.h
\copydetails leh_ledhandler.h
*/

#include "leh_ledhandler.h"

//! this is brief
/*! this is details */
static int    au16LedOnTime [ LEH_NO_OF_LEDS ];

extern void  leh_vInit( void )
{
    int     i;

    for (i = 0; i < LEH_NO_OF_LEDS; i++)
    {
        au16LedOnTime [i] = 0;
    }
}


/*! this is detail */
extern void leh_vLedHandler( void )
{
    int     i;
    int     value = 0;

    for (i = 0; i < LEH_NO_OF_LEDS; i++)
    {
        if (au16LedOnTime [i] > 0)
        {
            value += (1 << i);
            if ((au16LedOnTime [i] < LEH_STATIC_ON) && (au16LedOnTime [i] > 0))
            {
                au16LedOnTime[i]--;
            }
        }

    }
}